libevent 2.1.13 Event notification library

Loading...
Searching...
No Matches
event_config Struct Reference

Configuration for an event_base. More...

`#include <event.h>`

## Detailed Description

Configuration for an event_base.

There are many options that can be used to alter the behavior and implementation of an event_base. To avoid having to pass them all in a complex many-argument constructor, we provide an abstract data type where you set up configuration information before passing it to event_base_new_with_config().

See also
  event_config_new(), event_config_free(), event_base_new_with_config(), event_config_avoid_method(), event_config_require_features(), event_config_set_flag(), event_config_set_num_cpus_hint()

The documentation for this struct was generated from the following file:

- event2/event.h